<template>
    <div class="row">
        <div class="col-md-12">
            <date-picker :name="$attrs.id" v-model="$attrs.date" :config="options"></date-picker>
        </div>
    </div>
</template>

<script>
// Import required dependencies
//   import 'bootstrap/dist/css/bootstrap.css';

// Import this component
import datePicker from 'vue-bootstrap-datetimepicker';

// Import date picker css
import 'pc-bootstrap4-datetimepicker/build/css/bootstrap-datetimepicker.css';

export default {

    data () {
        return {
            // date: $attrs.date || new Date(),
            options: {
                format: 'YYYY-MM-DD',
                useCurrent: true,
            },
        }
    },

    components: {
        datePicker
    }
}
</script>
